Package org.apache.commons.imaging.formats.tiff.constants

## Class TiffEpTagConstants

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.constants.TiffEpTagConstants

-     public final class TiffEpTagConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static List<TagInfo>` | `ALL_TIFF_EP_TAGS` |
    `static TagInfoAsciiOrRational` | `EXIF_TAG_BATTERY_LEVEL` |
    `static TagInfoBytes` | `EXIF_TAG_CFAPATTERN_2` |
    `static TagInfoShorts` | `EXIF_TAG_CFAREPEAT_PATTERN_DIM` |
    `static TagInfoRationals` | `EXIF_TAG_EXPOSURE_INDEX` |
    `static TagInfoRationals` | `EXIF_TAG_FLASH_ENERGY` |
    `static TagInfoShort` | `EXIF_TAG_FOCAL_PLANE_RESOLUTION_UNIT` |
    `static TagInfoRational` | `EXIF_TAG_FOCAL_PLANE_XRESOLUTION` |
    `static TagInfoRational` | `EXIF_TAG_FOCAL_PLANE_YRESOLUTION` |
    `static TagInfoAscii` | `EXIF_TAG_IMAGE_HISTORY_EXIF_IFD` |
    `static TagInfoLong` | `EXIF_TAG_IMAGE_NUMBER_EXIF_IFD` |
    `static TagInfoUndefineds` | `EXIF_TAG_INTER_COLOR_PROFILE` |
    `static TagInfoShort` | `EXIF_TAG_INTERLACE` |
    `static TagInfoUndefineds` | `EXIF_TAG_NOISE_1` |
    `static TagInfoAscii` | `EXIF_TAG_SECURITY_CLASSIFICATION_EXIF_IFD` |
    `static TagInfoShort` | `EXIF_TAG_SELF_TIMER_MODE` |
    `static TagInfoShort` | `EXIF_TAG_SENSING_METHOD` |
    `static TagInfoUndefineds` | `EXIF_TAG_SPATIAL_FREQUENCY_RESPONSE_1` |
    `static TagInfoBytes` | `EXIF_TAG_TIFF_EPSTANDARD_ID_1` |
    `static TagInfoSShorts` | `EXIF_TAG_TIME_ZONE_OFFSET` |
    `static int` | `FOCAL_PLANE_RESOLUTION_UNIT_VALUE_CM` |
    `static int` | `FOCAL_PLANE_RESOLUTION_UNIT_VALUE_INCHES` |
    `static int` | `FOCAL_PLANE_RESOLUTION_UNIT_VALUE_MM` |
    `static int` | `FOCAL_PLANE_RESOLUTION_UNIT_VALUE_NONE` |
    `static int` | `FOCAL_PLANE_RESOLUTION_UNIT_VALUE_UM` |
    `static int` | `SENSING_METHOD_VALUE_COLOR_SEQUENTIAL_AREA` |
    `static int` | `SENSING_METHOD_VALUE_COLOR_SEQUENTIAL_LINEAR` |
    `static int` | `SENSING_METHOD_VALUE_MONOCHROME_AREA` |
    `static int` | `SENSING_METHOD_VALUE_MONOCHROME_LINEAR` |
    `static int` | `SENSING_METHOD_VALUE_ONE_CHIP_COLOR_AREA` |
    `static int` | `SENSING_METHOD_VALUE_THREE_CHIP_COLOR_AREA` |
    `static int` | `SENSING_METHOD_VALUE_TRILINEAR` |
    `static int` | `SENSING_METHOD_VALUE_TWO_CHIP_COLOR_AREA` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXIF_TAG_CFAREPEAT_PATTERN_DIM

          public static final TagInfoShorts EXIF_TAG_CFAREPEAT_PATTERN_DIM

    - #### EXIF_TAG_CFAPATTERN_2

          public static final TagInfoBytes EXIF_TAG_CFAPATTERN_2

    - #### EXIF_TAG_BATTERY_LEVEL

          public static final TagInfoAsciiOrRational EXIF_TAG_BATTERY_LEVEL

    - #### EXIF_TAG_INTER_COLOR_PROFILE

          public static final TagInfoUndefineds EXIF_TAG_INTER_COLOR_PROFILE

    - #### EXIF_TAG_INTERLACE

          public static final TagInfoShort EXIF_TAG_INTERLACE

    - #### EXIF_TAG_TIME_ZONE_OFFSET

          public static final TagInfoSShorts EXIF_TAG_TIME_ZONE_OFFSET

    - #### EXIF_TAG_SELF_TIMER_MODE

          public static final TagInfoShort EXIF_TAG_SELF_TIMER_MODE

    - #### EXIF_TAG_FLASH_ENERGY

          public static final TagInfoRationals EXIF_TAG_FLASH_ENERGY

    - #### EXIF_TAG_SPATIAL_FREQUENCY_RESPONSE_1

          public static final TagInfoUndefineds EXIF_TAG_SPATIAL_FREQUENCY_RESPONSE_1

    - #### EXIF_TAG_NOISE_1

          public static final TagInfoUndefineds EXIF_TAG_NOISE_1

    - #### EXIF_TAG_FOCAL_PLANE_XRESOLUTION

          public static final TagInfoRational EXIF_TAG_FOCAL_PLANE_XRESOLUTION

    - #### EXIF_TAG_FOCAL_PLANE_YRESOLUTION

          public static final TagInfoRational EXIF_TAG_FOCAL_PLANE_YRESOLUTION

    - #### EXIF_TAG_FOCAL_PLANE_RESOLUTION_UNIT

          public static final TagInfoShort EXIF_TAG_FOCAL_PLANE_RESOLUTION_UNIT

    - #### FOCAL_PLANE_RESOLUTION_UNIT_VALUE_NONE

          public static final int FOCAL_PLANE_RESOLUTION_UNIT_VALUE_NONE

      See Also:
        Constant Field Values

    - #### FOCAL_PLANE_RESOLUTION_UNIT_VALUE_INCHES

          public static final int FOCAL_PLANE_RESOLUTION_UNIT_VALUE_INCHES

      See Also:
        Constant Field Values

    - #### FOCAL_PLANE_RESOLUTION_UNIT_VALUE_CM

          public static final int FOCAL_PLANE_RESOLUTION_UNIT_VALUE_CM

      See Also:
        Constant Field Values

    - #### FOCAL_PLANE_RESOLUTION_UNIT_VALUE_MM

          public static final int FOCAL_PLANE_RESOLUTION_UNIT_VALUE_MM

      See Also:
        Constant Field Values

    - #### FOCAL_PLANE_RESOLUTION_UNIT_VALUE_UM

          public static final int FOCAL_PLANE_RESOLUTION_UNIT_VALUE_UM

      See Also:
        Constant Field Values

    - #### EXIF_TAG_IMAGE_NUMBER_EXIF_IFD

          public static final TagInfoLong EXIF_TAG_IMAGE_NUMBER_EXIF_IFD

    - #### EXIF_TAG_SECURITY_CLASSIFICATION_EXIF_IFD

          public static final TagInfoAscii EXIF_TAG_SECURITY_CLASSIFICATION_EXIF_IFD

    - #### EXIF_TAG_IMAGE_HISTORY_EXIF_IFD

          public static final TagInfoAscii EXIF_TAG_IMAGE_HISTORY_EXIF_IFD

    - #### EXIF_TAG_EXPOSURE_INDEX

          public static final TagInfoRationals EXIF_TAG_EXPOSURE_INDEX

    - #### EXIF_TAG_TIFF_EPSTANDARD_ID_1

          public static final TagInfoBytes EXIF_TAG_TIFF_EPSTANDARD_ID_1

    - #### EXIF_TAG_SENSING_METHOD

          public static final TagInfoShort EXIF_TAG_SENSING_METHOD

    - #### SENSING_METHOD_VALUE_MONOCHROME_AREA

          public static final int SENSING_METHOD_VALUE_MONOCHROME_AREA

      See Also:
        Constant Field Values

    - #### SENSING_METHOD_VALUE_ONE_CHIP_COLOR_AREA

          public static final int SENSING_METHOD_VALUE_ONE_CHIP_COLOR_AREA

      See Also:
        Constant Field Values

    - #### SENSING_METHOD_VALUE_TWO_CHIP_COLOR_AREA

          public static final int SENSING_METHOD_VALUE_TWO_CHIP_COLOR_AREA

      See Also:
        Constant Field Values

    - #### SENSING_METHOD_VALUE_THREE_CHIP_COLOR_AREA

          public static final int SENSING_METHOD_VALUE_THREE_CHIP_COLOR_AREA

      See Also:
        Constant Field Values

    - #### SENSING_METHOD_VALUE_COLOR_SEQUENTIAL_AREA

          public static final int SENSING_METHOD_VALUE_COLOR_SEQUENTIAL_AREA

      See Also:
        Constant Field Values

    - #### SENSING_METHOD_VALUE_MONOCHROME_LINEAR

          public static final int SENSING_METHOD_VALUE_MONOCHROME_LINEAR

      See Also:
        Constant Field Values

    - #### SENSING_METHOD_VALUE_TRILINEAR

          public static final int SENSING_METHOD_VALUE_TRILINEAR

      See Also:
        Constant Field Values

    - #### SENSING_METHOD_VALUE_COLOR_SEQUENTIAL_LINEAR

          public static final int SENSING_METHOD_VALUE_COLOR_SEQUENTIAL_LINEAR

      See Also:
        Constant Field Values

    - #### ALL_TIFF_EP_TAGS

          public static final List<TagInfo> ALL_TIFF_EP_TAGS